## libsdl2 2.0.4+dfsg1

=== CMakeLists.txt ===
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
  message(FATAL_ERROR "Prevented in-tree built. Please create a build directory outside of the SDL source code and call cmake from there")
endif()

cmake_minimum_required(VERSION 2.8)
project(SDL2 C)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckIncludeFiles)
include(CheckIncludeFile)
include(CheckSymbolExists)
include(CheckCSourceRuns)
include(CheckCCompilerFlag)
include(CheckTypeSize)
include(CheckStructHasMember)
include(CMakeDependentOption)
include(FindPkgConfig)
set(CMAKE_MODULE_PATH "${SDL2_SOURCE_DIR}/cmake")
include(${SDL2_SOURCE_DIR}/cmake/macros.cmake)
include(${SDL2_SOURCE_DIR}/cmake/sdlchecks.cmake)

# General settings
# Edit include/SDL_version.h and change the version, then:
#   SDL_MICRO_VERSION += 1;
#   SDL_INTERFACE_AGE += 1;
#   SDL_BINARY_AGE += 1;
# if any functions have been added, set SDL_INTERFACE_AGE to 0.
# if backwards compatibility has been broken,
# set SDL_BINARY_AGE and SDL_INTERFACE_AGE to 0.
set(SDL_MAJOR_VERSION 2)
set(SDL_MINOR_VERSION 0)
set(SDL_MICRO_VERSION 4)
set(SDL_INTERFACE_AGE 0)
set(SDL_BINARY_AGE 4)
set(SDL_VERSION "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}.${SDL_MICRO_VERSION}")

# Calculate a libtool-like version number
math(EXPR LT_CURRENT "${SDL_MICRO_VERSION} - ${SDL_INTERFACE_AGE}")
math(EXPR LT_AGE "${SDL_BINARY_AGE} - ${SDL_INTERFACE_AGE}")
math(EXPR LT_MAJOR "${LT_CURRENT}- ${LT_AGE}")
set(LT_REVISION "${SDL_INTERFACE_AGE}")
set(LT_RELEASE "${SDL_MAJOR_VERSION}.${SDL_MINOR_VERSION}")
set(LT_VERSION "${LT_MAJOR}.${LT_AGE}.${LT_REVISION}")

message(STATUS "${LT_VERSION} :: ${LT_AGE} :: ${LT_REVISION} :: ${LT_CURRENT} :: ${LT_RELEASE}")

# General settings & flags
set(LIBRARY_OUTPUT_DIRECTORY "build")
# Check for 64 or 32 bit
set(SIZEOF_VOIDP ${CMAKE_SIZEOF_VOID_P})
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
  set(ARCH_64 TRUE)
  set(PROCESSOR_ARCH "x64")
else()
  set(ARCH_64 FALSE)
  set(PROCESSOR_ARCH "x86")
endif()
set(LIBNAME SDL2)
if(NOT LIBTYPE)
  set(LIBTYPE SHARED)
endif()

# Get the platform
if(WIN32)
  if(NOT WINDOWS)
    set(WINDOWS TRUE)
  endif()
elseif(UNIX AND NOT APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Linux")
    set(LINUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kFreeBSD.*")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kNetBSD.*|NetBSD.*")
    set(NETBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "kOpenBSD.*|OpenBSD.*")
    set(OPENBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*GNU.*")
    set(GNU TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*BSDI.*")
    set(BSDI TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "DragonFly.*|FreeBSD")
    set(FREEBSD TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "SYSV5.*")
    set(SYSV5 TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Solaris.*")
    set(SOLARIS TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "HP-UX.*")
    set(HPUX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "AIX.*")
    set(AIX TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES "Minix.*")
    set(MINIX TRUE)
  endif()
elseif(APPLE)
  if(CMAKE_SYSTEM_NAME MATCHES ".*Darwin.*")
    set(DARWIN TRUE)
  elseif(CMAKE_SYSTEM_NAME MATCHES ".*MacOS.*")
    set(MACOSX TRUE)
  endif()
  # TODO: iOS?
elseif(CMAKE_SYSTEM_NAME MATCHES "BeOS.*")
  message_error("BeOS support has been removed as of SDL 2.0.2.")
elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku.*")
  set(HAIKU TRUE)
endif()

# Don't mistake osx for unix
if(UNIX AND NOT APPLE)
  set(UNIX_SYS ON)
else()
  set(UNIX_SYS OFF)
endif()

if(UNIX OR APPLE)
  set(UNIX_OR_MAC_SYS ON)
else()
  set(UNIX_OR_MAC_SYS OFF)
endif()

if (UNIX_OR_MAC_SYS AND NOT EMSCRIPTEN) # JavaScript does not yet have threading support, so disable pthreads when building for Emscripten.
  set(SDL_PTHREADS_ENABLED_BY_DEFAULT ON)
else()
  set(SDL_PTHREADS_ENABLED_BY_DEFAULT OFF)
endif()

# Default option knobs
if(APPLE OR ARCH_64)
  set(OPT_DEF_SSEMATH ON)
endif()
if(UNIX OR MINGW OR MSYS)
  set(OPT_DEF_LIBC ON)
endif()

# Compiler info
if(CMAKE_COMPILER_IS_GNUCC)
  set(USE_GCC TRUE)
  set(OPT_DEF_ASM TRUE)
elseif(CMAKE_C_COMPILER_ID MATCHES "Clang")
  set(USE_CLANG TRUE)
  set(OPT_DEF_ASM TRUE)
elseif(MSVC_VERSION GREATER 1400) # VisualStudio 8.0+
  set(OPT_DEF_ASM TRUE)
  #set(CMAKE_C_FLAGS "/ZI /WX- /
else()
  set(OPT_DEF_ASM FALSE)
endif()

# Default flags, if not set otherwise
if("$ENV{CFLAGS}" STREQUAL "")
  if(USE_GCC OR USE_CLANG)
    set(CMAKE_C_FLAGS "-g -O3")
  endif()
else()
  set(CMAKE_C_FLAGS "$ENV{CFLAGS}")
  list(APPEND EXTRA_CFLAGS "$ENV{CFLAGS}")
endif()
if(NOT ("$ENV{CFLAGS}" STREQUAL "")) # Hackish, but does the trick on Win32
  list(APPEND EXTRA_LDFLAGS "$ENV{LDFLAGS}")
endif()

if(MSVC)
  option(FORCE_STATIC_VCRT "Force /MT for static VC runtimes" OFF)
  if(FORCE_STATIC_VCRT)
    foreach(flag_var
        CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
        CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
      if(${flag_var} MATCHES "/MD")
        string(REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
      endif()
    endforeach()
  endif()

  # Make sure /RTC1 is disabled, otherwise it will use functions from the CRT
  foreach(flag_var
      CMAKE_C_FLAGS CMAKE_C_FLAGS_DEBUG CMAKE_C_FLAGS_RELEASE
      CMAKE_C_FLAGS_MINSIZEREL CMAKE_C_FLAGS_RELWITHDEBINFO)
    string(REGEX REPLACE "/RTC(su|[1su])" "" ${flag_var} "${${flag_var}}")
  endforeach(flag_var)
endif()

# Those are used for pkg-config and friends, so that the SDL2.pc, sdl2-config,
# etc. are created correctly.
set(SDL_LIBS "-lSDL2")
set(SDL_CFLAGS "")

# Emscripten toolchain has a nonempty default value for this, and the checks 
# in this file need to change that, so remember the original value, and 
# restore back to that afterwards. For check_function_exists() to work in
# Emscripten, this value must be at its default value.
set(ORIG_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})

if(CYGWIN)
  # We build SDL on cygwin without the UNIX emulation layer
  include_directories("-I/usr/include/mingw")
  set(CMAKE_REQUIRED_FLAGS "-mno-cygwin")
  check_c_source_compiles("int main(int argc, char **argv) {}"
    HAVE_GCC_NO_CYGWIN)
  set(CMAKE_REQUIRED_FLAGS ${ORIG_CMAKE_REQUIRED_FLAGS})
  if(HAVE_GCC_NO_CYGWIN)
    list(APPEND EXTRA_LDFLAGS "-mno-cygwin")
    list(APPEND SDL_LIBS "-mno-cygwin")
  endif()
  set(SDL_CFLAGS "${SDL_CFLAGS} -I/usr/include/mingw")
endif()

add_definitions(-DUSING_GENERATED_CONFIG_H)
# General includes
include_directories(${SDL2_BINARY_DIR}/include ${SDL2_SOURCE_DIR}/include)

# All these ENABLED_BY_DEFAULT vars will default to ON if not specified, so
#  you only need to have a platform override them if they are disabling.
set(OPT_DEF_ASM TRUE)
if(EMSCRIPTEN)
  # Set up default values for the currently supported set of subsystems:
  # Emscripten/Javascript does not have assembly support, a dynamic library 
  # loading architecture, low-level CPU inspection or multithreading.
  set(OPT_DEF_ASM FALSE)
  set(SDL_SHARED_ENABLED_BY_DEFAULT OFF)
  set(SDL_ATOMIC_ENABLED_BY_DEFAULT OFF)
  set(SDL_THREADS_ENABLED_BY_DEFAULT OFF)
  set(SDL_LOADSO_ENABLED_BY_DEFAULT OFF)
  set(SDL_CPUINFO_ENABLED_BY_DEFAULT OFF)
  set(SDL_DLOPEN_ENABLED_BY_DEFAULT OFF)
endif()

if (NOT DEFINED SDL_SHARED_ENABLED_BY_DEFAULT)
    set(SDL_SHARED_ENABLED_BY_DEFAULT ON)
endif()

set(SDL_SUBSYSTEMS
    Atomic Audio Video Render Events Joystick Haptic Power Threads Timers
    File Loadso CPUinfo Filesystem Dlopen)
foreach(_SUB ${SDL_SUBSYSTEMS})
  string(TOUPPER ${_SUB} _OPT)
  if (NOT DEFINED SDL_${_OPT}_ENABLED_BY_DEFAULT)
    set(SDL_${_OPT}_ENABLED_BY_DEFAULT ON)
  endif()
  option(SDL_${_OPT} "Enable the ${_SUB} subsystem" ${SDL_${_OPT}_ENABLED_BY_DEFAULT})
endforeach()

option_string(ASSERTIONS "Enable internal sanity checks (auto/disabled/release/enabled/paranoid)" "auto")
#set_option(DEPENDENCY_TRACKING "Use gcc -MMD -MT dependency tracking" ON)
set_option(LIBC                "Use the system C library" ${OPT_DEF_LIBC})
set_option(GCC_ATOMICS         "Use gcc builtin atomics" ${USE_GCC})
set_option(ASSEMBLY            "Enable assembly routines" ${OPT_DEF_ASM})
set_option(SSEMATH             "Allow GCC to use SSE floating point math" ${OPT_DEF_SSEMATH})
set_option(MMX                 "Use MMX assembly routines" ${OPT_DEF_ASM})
set_option(3DNOW               "Use 3Dnow! MMX assembly routines" ${OPT_DEF_ASM})
set_option(SSE                 "Use SSE assembly routines" ${OPT_DEF_ASM})
set_option(SSE2                "Use SSE2 assembly routines" ${OPT_DEF_SSEMATH})
set_option(ALTIVEC             "Use Altivec assembly routines" ${OPT_DEF_ASM})
set_option(DISKAUDIO           "Support the disk writer audio driver" ON)
set_option(DUMMYAUDIO          "Support the dummy audio driver" ON)
set_option(VIDEO_DIRECTFB      "Use DirectFB video driver" OFF)
dep_option(DIRECTFB_SHARED     "Dynamically load directfb support" ON "VIDEO_DIRECTFB" OFF)
set_option(FUSIONSOUND         "Use FusionSound audio driver" OFF)
dep_option(FUSIONSOUND_SHARED  "Dynamically load fusionsound audio support" ON "FUSIONSOUND" OFF)
set_option(VIDEO_DUMMY         "Use dummy video driver" ON)
set_option(VIDEO_OPENGL        "Include OpenGL support" ON)
set_option(VIDEO_OPENGLES      "Include OpenGL ES support" ON)
set_option(PTHREADS            "Use POSIX threads for multi-threading" ${SDL_PTHREADS_ENABLED_BY_DEFAULT})
dep_option(PTHREADS_SEM        "Use pthread semaphores" ON "PTHREADS" OFF)
set_option(SDL_DLOPEN          "Use dlopen for shared object loading" ${SDL_DLOPEN_ENABLED_BY_DEFAULT})
set_option(OSS                 "Support the OSS audio API" ${UNIX_SYS})
set_option(ALSA                "Support the ALSA audio API" ${UNIX_SYS})
dep_option(ALSA_SHARED         "Dynamically load ALSA audio support" ON "ALSA" OFF)
set_option(ESD                 "Support the Enlightened Sound Daemon" ${UNIX_SYS})
dep_option(ESD_SHARED          "Dynamically load ESD audio support" ON "ESD" OFF)
set_option(PULSEAUDIO          "Use PulseAudio" ${UNIX_SYS})
dep_option(PULSEAUDIO_SHARED   "Dynamically load PulseAudio support" ON "PULSEAUDIO" OFF)
set_option(ARTS                "Support the Analog Real Time Synthesizer" ${UNIX_SYS})
dep_option(ARTS_SHARED         "Dynamically load aRts audio support" ON "ARTS" OFF)
set_option(NAS                 "Support the NAS audio API" ${UNIX_SYS})
set_option(NAS_SHARED          "Dynamically load NAS audio API" ${UNIX_SYS})
set_option(SNDIO               "Support the sndio audio API" ${UNIX_SYS})
set_option(RPATH               "Use an rpath when linking SDL" ${UNIX_SYS})
set_option(CLOCK_GETTIME       "Use clock_gettime() instead of gettimeofday()" OFF)
set_option(INPUT_TSLIB         "Use the Touchscreen library for input" ${UNIX_SYS})
set_option(VIDEO_X11           "Use X11 video driver" ${UNIX_SYS})
set_option(VIDEO_WAYLAND       "Use Wayland video driver" ${UNIX_SYS})
dep_option(WAYLAND_SHARED      "Dynamically load Wayland support" ON "VIDEO_WAYLAND" OFF)
dep_option(VIDEO_WAYLAND_QT_TOUCH  "QtWayland server support for Wayland video driver" ON "VIDEO_WAYLAND" OFF)
set_option(VIDEO_MIR           "Use Mir video driver" ${UNIX_SYS})
dep_option(MIR_SHARED          "Dynamically load Mir support" ON "VIDEO_MIR" OFF)
set_option(VIDEO_RPI           "Use Raspberry Pi video driver" ${UNIX_SYS})
dep_option(X11_SHARED          "Dynamically load X11 support" ON "VIDEO_X11" OFF)
set(SDL_X11_OPTIONS Xcursor Xinerama XInput Xrandr Xscrnsaver XShape Xvm)
foreach(_SUB ${SDL_X11_OPTIONS})
  string(TOUPPER "VIDEO_X11_${_SUB}" _OPT)
  dep_option(${_OPT}           "Enable ${_SUB} support" ON "VIDEO_X11" OFF)
endforeach()
set_option(VIDEO_COCOA         "Use Cocoa video driver" ${APPLE})
set_option(DIRECTX             "Use DirectX for Windows audio/video" ${WINDOWS})
set_option(RENDER_D3D          "Enable the Direct3D render driver" ${WINDOWS})
set_option(VIDEO_VIVANTE       "Use Vivante EGL video driver" ${UNIX_SYS})

# TODO: We should (should we?) respect cmake's ${BUILD_SHARED_LIBS} flag here
# The options below are for compatibility to configure's default behaviour.

=== debian/changelog ===
libsdl2 (2.0.4+dfsg1-2ubuntu2.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer over-read in Fill_IMA_ADPCM_block
    - debian/patches/CVE-2017-2888.diff: check var size before mallocing pixels
    - debian/patches/CVE-2017-2888_CVE-2019-7637.diff: assert size of int
      before mallocing
    - CVE-2017-2888
    - CVE-2019-7637
  * SECURITY UPDATE: heap-based buffer over-read in Blit1to4
    - debian/patches/CVE-2019-7635.diff: add error checking to SDL_LoadBMP_RW
    - CVE-2019-7635
  * SECURITY UPDATE: heap-based buffer over-read in Map1toN and
     SDL_GetRGB
    - debian/patches/CVE-2019-7636_CVE-2019-7638.patch: add error checking to
      SDL_LoadBMP_RW
    - CVE-2019-7636
    - CVE-2019-7638
  * Package failed to build from source
    - debian/patches/ftbfs.diff: Add wl_proxy_marshal_constructor_versioned sym

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 28 Aug 2019 14:45:27 -0400

libsdl2 (2.0.4+dfsg1-2ubuntu2.16.04.1) xenial; urgency=medium

  * Cherry-pick upstream fix for full-screen switching mode
    LP: #1679573

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 Nov 2017 10:55:43 +0100

libsdl2 (2.0.4+dfsg1-2ubuntu2) xenial; urgency=medium

  * Rebuild against libsndio6.1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 10 Mar 2016 22:59:45 +0100

libsdl2 (2.0.4+dfsg1-2ubuntu1) xenial; urgency=medium

  * debian/patches/mir_new_abi_api.diff: New Mir ABI/API update
    to work with MIR 0.14 and greater (lp: #1513241)
  * Add libmirclient-dev as build-dependency.

 -- Brandon Schaefer <brandontschaefer@gmail.com>  Wed, 20 Jan 2016 12:03:45 -0600

libsdl2 (2.0.4+dfsg1-2) unstable; urgency=low

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Jan 2016 16:36:59 +0100

libsdl2 (2.0.4+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * run wrap-and-sort -sa.
  * Fix copyright lintian warning.
  * Update copyright to new release.
  * New upstream release (Closes: #788688, #798265, #788540)
    - Drop patches use-default-screen and
      fix_joystick_misc_axes.diff, applied upstream.
  * Add Files-Excluded keyword to copyright file, allowing to
    import a new release with uscan command. (Closes: #804662)
  * Create new -doc package, and move examples into it (Closes: #739430).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Jan 2016 12:12:54 +0100

libsdl2 (2.0.2+dfsg1-8) unstable; urgency=medium

  * Change to improve build reproducibility: tar file permission modes.
    Thanks Reiner Herrmann. (Closes: #803578)
  * Build with sndio support (Closes: #799707)
  * Update d/copyright to adapt to minor changes in code and files moved
    around, and quell lintian (spelling-error-in-copyright,
    wildcard-matches-nothing-in-dep5-copyright and
    unused-file-paragraph-in-dep5-copyright)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 01 Nov 2015 00:55:03 +0000

libsdl2 (2.0.2+dfsg1-7) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Remove Barry deFreese from uploaders
  * Change for reproducible builds: use "--owner=0 --group=0" when
    creating the "examples" tar file (Closes: #777186).  Thanks Chris Lamb
    and rest of the Reproducible Builds team for the analysis and patch
    suggested.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 27 Apr 2015 22:53:31 +0100

libsdl2 (2.0.2+dfsg1-6) unstable; urgency=medium

  * rules: disable activec for ppc64el build (Closes: #770670)

 -- Dominique Dumont <dod@debian.org>  Thu, 27 Nov 2014 18:52:50 +0100

libsdl2 (2.0.2+dfsg1-5) unstable; urgency=medium

  * patch to use default screen from DISPLAY (Closes: #754401)
  * fix short name of BSD-3-clause

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Oct 2014 19:01:30 +0200

libsdl2 (2.0.2+dfsg1-4) unstable; urgency=medium

  [ Hector Oron ]
  * d/control: remove libts-dev build depends. (Closes: #751766)

  [ Felix Geyer ]
  * Move upstream GPG key as an ascii-armored keyring to debian/upstream/.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 16 Jun 2014 21:02:07 +0200

=== debian/control ===
Source: libsdl2
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar <sho@debian.org>,
 Manuel A. Fernandez Montecelo <mafm@debian.org>,
 Felix Geyer <fgeyer@debian.org>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libegl1-mesa-dev [!hurd-any],
 libgl1-mesa-dev,
 libgles2-mesa-dev [!hurd-any],
 libglu1-mesa-dev,
 libmirclient-dev,
 libpulse-dev,
 libsndio-dev,
 libudev-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 pkg-config
Build-Depends-Indep:
 doxygen
Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
Homepage: http://www.libsdl.org/

Package: libsdl2-2.0-0
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Conflicts:
 libsdl-1.3-0
Replaces:
 libsdl-1.3-0
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
 ALSA, NAS, sndio and PulseAudio sound drivers.

Package: libsdl2-dev
Architecture: any
Section: libdevel
Depends:
 libasound2-dev [linux-any],
 libdbus-1-dev,
 libegl1-mesa-dev [!hurd-any],
 libgl1-mesa-dev,
 libgles2-mesa-dev [!hurd-any],
 libglu1-mesa-dev,
 libmirclient-dev,
 libpulse-dev,
 libsdl2-2.0-0 (= ${binary:Version}),
 libsndio-dev,
 libudev-dev [linux-any],
 libusb2-dev [kfreebsd-any],
 libusbhid-dev [kfreebsd-any],
 libwayland-dev [linux-any],
 libx11-dev,
 libxcursor-dev,
 libxext-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxrandr-dev,
 libxss-dev,
 libxt-dev,
 libxv-dev,
 libxxf86vm-dev,
 ${misc:Depends}
Conflicts:
 libsdl-1.3-dev
Replaces:
 libsdl-1.3-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

Package: libsdl2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Breaks:
 libsdl2-dev (<< 2.0.4+dfsg-1)
Replaces:
 libsdl2-dev (<< 2.0.4+dfsg-1)
Description: Reference manual for libsdl2
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the reference manual and examples.

Package: libsdl2-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends:
 libsdl2-2.0-0 (= ${binary:Version}),
 ${misc:Depends}
Description: Simple DirectMedia Layer debug files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the debug symbols for the SDL library.

=== debian/rules ===
#!/usr/bin/make -f

SHLIBVER = 2.0.4

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
            --disable-nas --disable-esd --disable-arts \
            --disable-alsa-shared --disable-pulseaudio-shared \
            --disable-x11-shared --disable-video-directfb \
            --enable-video-opengles \
            --enable-video-wayland --disable-wayland-shared

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += --disable-altivec
endif

ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
  confflags += --disable-altivec
endif

# disable Wayland on non-Linux, they do not support other kernels at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-wayland
endif
ifeq (kfreefsd,$(findstring kfreebsd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-wayland
endif

# disable OpenGLES on Hurd, it does not support it at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable--video-opengles
endif


%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
        # aclocal needs to include in specific order, and/or it seems that
        # doesn't try to find .m4 files in /usr/share/aclocal at all.  Updates
        # to both .m4 files and ltmain.sh (aclocal and libtoolize) are necessary
        # to support new architectures aarch64 (arm64) and powerpc64le, and this
        # seems the more straight way to achieve it.
        #
        # An alternative would be to just build-depend on libesd0-dev,
        # libasound2-dev and libltdl-dev to provide the files "esd.m4 alsa.m4
        # ltdl.m4" in /usr/share/aclocal, and not use the local "acinclude" dir
        # at all, but this pull even more dependencies, and unneeded ones.
        #
        # Another equivalent alternative, but more verbose:
        #
        # ACLOCAL="cat acinclude/esd.m4 acinclude/alsa.m4 acinclude/ltdl.m4 \
        #           /usr/share/aclocal/libtool.m4 \
        #           /usr/share/aclocal/ltoptions.m4 \
        #           /usr/share/aclocal/ltversion.m4 \
        #           /usr/share/aclocal/ltsugar.m4 >> aclocal.m4; aclocal"
        #          LIBTOOLIZE="libtoolize -f -i" dh_autoreconf --as-needed
        #          autoreconf -- -I acinclude -f -i
	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed
        # To verify that it worked, grep should find these strings:
        #
        #rgrep -i aarch64 .
        #rgrep -r powerpc64le .

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build-indep:
	tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s
	doxygen docs/doxyfile
	# useless files
	find output -name "*.md5" -delete
	find output -type d -empty -delete

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -f debian/examples.tar.gz
	rm -rf output

override_dh_install:
	dh_install --fail-missing -XlibSDL2.la

override_dh_link:
        # to address lintian warning
        # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
	dh_link --remaining-packages

override_dh_strip:
	dh_strip --dbg-package=libsdl2-dbg

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"

## libsdl2 2.0.4+dfsg2

=== debian/changelog ===
libsdl2 (2.0.4+dfsg2-1ubuntu1) yakkety; urgency=medium

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/mir_new_abi_api.diff: New Mir ABI/API update
      to work with MIR 0.14 and greater (lp: #1513241)
    - Add libmirclient-dev as build-dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 May 2016 14:45:24 +0200

libsdl2 (2.0.4+dfsg2-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.8 (no changes needed)
  * Drop -dbg package
  * Fixes for reproducible builds:
    - timestamps_in_tarball, use --clamp-mtime with changelog as date
    - timestamps_in_gzip_headers, export GZIP="-9n"
    - sort files by name when creating "examples.tar.gz"
  * Add depends from -doc on libjs-jquery, use symlink instead of embedded
    copy
  * Ensure proper migration from -dbg package using "dh_strip
    --dbgsym-migration"
  * Bump debhelper dependency for --dbgsym-migration
  * Enable ibus support (Closes: #822924)
  * d/patches:
    - Add bug_822210_fix_sdl2-config.cmake_whitespace.patch: Fix upstream
      problem with sdl2-config.cmake (Closes: #822210)

  [ Gianfranco Costamagna ]
  * Fix insecure VCS fields.
  * Re-import the same tarball without SDL-qsort.c file.
    - the license issue is fixed already, because the original
      maintainer relicensed it (so we are adding it as a patch now)
      this repack can be removed in the next upstream tarball import.
      (Closes: #814276).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 May 2016 11:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: libsdl2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders:
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 9.20160114),
  dh-autoreconf,
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -18,6 +17,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libmirclient-dev,
+ libibus-1.0-dev,
  libpulse-dev,
  libsndio-dev,
  libudev-dev [linux-any],
@@ -38,8 +38,8 @@
  pkg-config
 Build-Depends-Indep:
  doxygen
-Vcs-Git: git://anonscm.debian.org/pkg-sdl/packages/libsdl2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-sdl/packages/libsdl2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl2.git
 Homepage: http://www.libsdl.org/
 
 Package: libsdl2-2.0-0
@@ -59,7 +59,7 @@
  framebuffer, audio output, mouse, and keyboard.
  .
  This version of SDL is compiled with X11 and Wayland graphics drivers and OSS,
- ALSA, NAS, sndio and PulseAudio sound drivers.
+ ALSA, sndio and PulseAudio sound drivers.
 
 Package: libsdl2-dev
 Architecture: any
@@ -72,6 +72,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libmirclient-dev,
+ libibus-1.0-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
  libsndio-dev,
@@ -106,7 +107,8 @@
 Section: doc
 Architecture: all
 Depends:
- ${misc:Depends}
+ ${misc:Depends},
+ libjs-jquery
 Breaks:
  libsdl2-dev (<< 2.0.4+dfsg-1)
 Replaces:
@@ -116,17 +118,3 @@
  framebuffer, audio output, mouse, and keyboard.
  .
  This package contains the reference manual and examples.
-
-Package: libsdl2-dbg
-Architecture: any
-Multi-Arch: same
-Priority: extra
-Section: debug
-Depends:
- libsdl2-2.0-0 (= ${binary:Version}),
- ${misc:Depends}
-Description: Simple DirectMedia Layer debug files
- SDL is a library that allows programs portable low level access to a video
- framebuffer, audio output, mouse, and keyboard.
- .
- This package contains the debug symbols for the SDL library.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
+            --enable-ibus \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
             --enable-video-wayland --disable-wayland-shared
@@ -32,6 +33,9 @@
 ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
   confflags += --disable--video-opengles
 endif
+
+# for reproducible builds, timestamps_in_tarball
+SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
 
 
 %:
@@ -68,11 +72,14 @@
 	dh_auto_configure -- $(confflags)
 
 override_dh_auto_build-indep:
-	tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s
+	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="$(SOURCE_DATE)" --sort=name
 	doxygen docs/doxyfile
 	# useless files
 	find output -name "*.md5" -delete
 	find output -type d -empty -delete
+
+	find output -name "jquery.js" -delete
+	dh_link -plibsdl2-doc usr/share/javascript/jquery/jquery.js usr/share/doc/libsdl2-doc/html/jquery.js
 
 override_dh_auto_clean-indep:
 	dh_auto_clean
@@ -88,8 +95,8 @@
 	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
-override_dh_strip:
-	dh_strip --dbg-package=libsdl2-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"
+
+override_dh_strip:
+	dh_strip --dbgsym-migration='libsdl2-dbg (<< 2.0.4+dfsg2-1~)'

## libsdl2 2.0.5+dfsg1

=== debian/changelog ===
libsdl2 (2.0.5+dfsg1-2mx15) mx; urgency=medium

  * Rebuild for MX-15/16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 26 Aug 2018 10:46:11 -0400

libsdl2 (2.0.5+dfsg1-2) unstable; urgency=medium

  * Team Upload.
  * Fix broken link (Closes: #849297)
    - thanks Ben Longbons for the bug report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Dec 2016 18:11:10 +0100

libsdl2 (2.0.5+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Drop (all) debian/patches, there had been originally backported from
      upstream or are now applied there:
      * replace-relicenced-SDL_qsort.patch
      * SDL2_dont_propagate_lpthread.diff (included in 2.0.4 already, but not
        dropped then)
      * bug_822210_fix_sdl2-config.cmake_whitespace.patch
  * d/control: add Build-Depend on wayland-protocols, needed by the new version

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 02 Nov 2016 01:20:36 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
- libmirclient-dev,
  libibus-1.0-dev,
  libpulse-dev,
  libsndio-dev,
@@ -71,7 +70,6 @@
  libgl1-mesa-dev,
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
- libmirclient-dev,
  libibus-1.0-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
             --enable-ibus \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
-            --enable-video-wayland --disable-wayland-shared
+            --disable-video-wayland --disable-wayland-shared
 
 ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
   confflags += --disable-altivec
@@ -92,7 +92,7 @@
 override_dh_link:
         # to address lintian warning
         # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
-	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
+	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.4.1 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
 override_dh_makeshlibs:

## libsdl2 2.0.6+dfsg1

=== debian/changelog ===
libsdl2 (2.0.6+dfsg1-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Oct 2017 09:47:29 +0200

libsdl2 (2.0.6+dfsg1-3) unstable; urgency=high

  [ Gianfranco Costamagna ]
  * debian/patches/dc7245e3d1f2.patch:
    - backport upstream fix for dbus error.
      LP: #1721907
      thanks LGB [Gábor Lénárt] (lgb) for the report!

  [ Felix Geyer ]
  * Fix CVE-2017-2888: Integer overflow while creating a new RGB surface.
    - Add d/patches/CVE-2017-2888.patch
    - Closes: #878264
  * Enable verbose build logs.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 12 Oct 2017 18:33:41 +0200

libsdl2 (2.0.6+dfsg1-2ubuntu2) artful; urgency=medium

  * debian/patches/dc7245e3d1f2.patch:
    - backport upstream fix for dbus error.
      LP: #1721907
      thanks LGB [Gábor Lénárt] (lgb) for the report!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Oct 2017 09:23:47 +0200

libsdl2 (2.0.6+dfsg1-2ubuntu1) artful; urgency=low

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Sep 2017 11:16:14 +0200

libsdl2 (2.0.6+dfsg1-2) unstable; urgency=medium

  * Fix libSDL2-2.0.so symlink, thanks Andreas Beckmann (Closes: #877270)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 30 Sep 2017 10:09:26 +0200

libsdl2 (2.0.6+dfsg1-1) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * New upstream release
    - Closes: #733015
  * Override on dh_installchangelogs to install upstream changelog WhatsNew.txt
    (wrong override on dh_auto_installchangelogs before)
  * Mark -doc package as "Multi-Arch: foreign"

  [ Gianfranco Costamagna ]
  * Make dev package finally multiarch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 27 Sep 2017 00:29:24 +0200

libsdl2 (2.0.5+dfsg1-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - fix build with libmirclient-dev
    - cherry pick upstream build fix. (3034ea08d805.patch)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Jul 2017 14:53:15 +0200

libsdl2 (2.0.5+dfsg1-3) unstable; urgency=medium

  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
      * disable autoheader (invoked automatically by autoreconf),
        necessary in order to use debhelper compat level v10 without
        overriding dh-autoreconf calls
  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Install WhatsNew.txt as upstream changelog

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 28 Jul 2017 23:35:01 +0200

libsdl2 (2.0.5+dfsg1-2ubuntu3) zesty; urgency=medium

  * debian/patches/3034ea08d805.patch:
    - cherry pick upstream build fix.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 Jan 2017 23:08:41 +0100

libsdl2 (2.0.5+dfsg1-2ubuntu2) zesty; urgency=medium

  * Fix build by adding missing flags

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Dec 2016 22:32:02 +0100

libsdl2 (2.0.5+dfsg1-2ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 30 Dec 2016 21:35:32 +0100

libsdl2 (2.0.5+dfsg1-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Build-depend on libmirclient-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Dec 2016 01:12:11 -0500

=== debian/rules ===
#!/usr/bin/make -f

SHLIBVER = 2.0.4

DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
            --disable-nas --disable-esd --disable-arts \
            --disable-alsa-shared --disable-pulseaudio-shared \
            --enable-ibus \
            --disable-x11-shared --disable-video-directfb \
            --enable-video-opengles \
            --enable-video-wayland --disable-wayland-shared

# disable autoheader (invoked automatically by autoreconf), necessary in order
# to use debhelper compat level v10 without overriding dh-autoreconf calls
export AUTOHEADER := /bin/true


ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  confflags += --disable-altivec
endif

ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
  confflags += --disable-altivec
endif

# disable Wayland and Vulkan on non-Linux, they do not support other kernels at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-vulkan
  confflags += --disable-video-wayland
endif
ifeq (kfreefsd,$(findstring kfreebsd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable-video-vulkan
  confflags += --disable-video-wayland
endif

# the SDL module for Vulkan not compiling even in Linux at the moment
confflags += --disable-video-vulkan

# disable OpenGLES on Hurd, it does not support it at the moment
ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
  confflags += --disable--video-opengles
endif

# for reproducible builds, timestamps_in_tarball
SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build-indep:
	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="$(SOURCE_DATE)" --sort=name
	doxygen docs/doxyfile
	# useless files
	find output -name "*.md5" -delete
	find output -type d -empty -delete

	find output -name "jquery.js" -delete
	dh_link -plibsdl2-doc usr/share/javascript/jquery/jquery.js usr/share/doc/libsdl2-doc/html/jquery.js

override_dh_auto_build-arch:
	dh_auto_build -- V=1

override_dh_auto_clean-indep:
	dh_auto_clean
	rm -f debian/examples.tar.gz
	rm -rf output

override_dh_missing:
	dh_missing --fail-missing -XlibSDL2.la -XlibSDL2main.la -XlibSDL2_test.la

override_dh_link:
        # to address lintian warning
        # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.6.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
	dh_link --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -V"libsdl2-2.0-0 (>= $(SHLIBVER))"

override_dh_strip:
	dh_strip --dbgsym-migration='libsdl2-dbg (<< 2.0.4+dfsg2-1~)'

override_dh_installchangelogs:
	dh_installchangelogs -- WhatsNew.txt

## libsdl2 2.0.8%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+$//,pgpsigurlmangle=s/$/.sig/ \
  https://www.libsdl.org/release/SDL2-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl2 2.0.8+dfsg1

=== debian/changelog ===
libsdl2 (2.0.8+dfsg1-4ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Oct 2018 13:17:11 +0200

libsdl2 (2.0.8+dfsg1-4) unstable; urgency=medium

  * Team upload
  * Update copyright file.
  * Ack previous NMU thanks!
  * Also add the testsuite from test directory (from bug #909778)
    - we need to find an approach to also run the resulting binaries
      automatically

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 01 Oct 2018 12:54:23 +0200

libsdl2 (2.0.8+dfsg1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/tests/build: Add autopkgtest to check that dynamic linking with
    either pkg-config or sdl2-config works correctly
  * Revert "Make libsdl2-dev coinstallable again"
    (Closes: #909778) (reopens: #909740)

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Sep 2018 16:13:38 +0100

libsdl2 (2.0.8+dfsg1-3) unstable; urgency=medium

  [ Hugh McMaster <hugh.mcmaster@outlook.com> ]
  * Make libsdl2 coinstallable again (Closes: #909740).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Sep 2018 16:21:47 +0200

libsdl2 (2.0.8+dfsg1-2ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Sep 2018 20:40:19 +0200

libsdl2 (2.0.8+dfsg1-2) unstable; urgency=medium

  [ Felix Geyer ]
  * Remove Multi-Arch: same from libsdl2-dev as SDL_config.h is architecture
    dependent.

  [ Gianfranco Costamagna ]
  * Team upload
  * Enable vulkan everywhere
  * debian/patches/SDL2-dynapi-symbol-resolution-fix.patch:
    cherry-pick upstream fix for Unity-based games shipping bundled
    libsdl2 version (LP: #1772471)
    - thanks Ryan Gordon for the patch and help

  [ Ryan C. Gordon (icculus) ]
  * Disable --disable-loadso switch, it was useless and it is wrong
    in many cases (see LP: #1740517 for discussion)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 09 Sep 2018 01:41:38 +0200

libsdl2 (2.0.8+dfsg1-1ubuntu2) cosmic; urgency=medium

  * debian/patches/SDL2-dynapi-symbol-resolution-fix.patch:
    cherry-pick upstream fix for Unity-based games shipping bundled
    libsdl2 version (LP: #1772471)
    - thanks Ryan Gordon for the patch and help!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 May 2018 09:24:20 +0200

libsdl2 (2.0.8+dfsg1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev
    - Explicitly enable --enable-video-mir in rules

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Mar 2018 16:39:02 +0100

libsdl2 (2.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes IBus not working properly. (Closes: #878484)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 04 Mar 2018 12:07:25 +0100

libsdl2 (2.0.7+dfsg1-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 09 Nov 2017 18:29:54 +0100

libsdl2 (2.0.7+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Fix shlib symlink.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Nov 2017 17:26:43 +0100

libsdl2 (2.0.7+dfsg1-2ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 13:13:41 +0100

libsdl2 (2.0.7+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Bump std-version to 4.1.1, no changes required
  * Add fcitx support (Closes: #881042), thanks
    Zhang Jingqiang <zh_jq@outlook.com> for the report!
  * Switch URI in secure mode
  * Update copyright years
  * Enable also samplerate support
  * Also switch watch file in secure mode

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 13:09:13 +0100

libsdl2 (2.0.7+dfsg1-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2017 11:28:18 +0100

libsdl2 (2.0.7+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.7+dfsg1.
  * Remove patches backported from upstream.
  * bump SHLIBVER in debian/rules, as SDL_INTERFACE_AGE
    in configure.in has been reset.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Nov 2017 22:26:23 +0100

libsdl2 (2.0.6+dfsg1-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libmirclient-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 08:17:12 +0200

libsdl2 (2.0.6+dfsg1-4) unstable; urgency=high

  * Import further upstream patches for CVE-2017-2888.
    The initial fix was incomplete. (Closes: #878264)
    - d/patches/CVE-2017-2888-1.patch
    - d/patches/CVE-2017-2888-2.patch
    - d/patches/CVE-2017-2888-3.patch

 -- Felix Geyer <fgeyer@debian.org>  Wed, 18 Oct 2017 21:36:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Sam Hocevar <sho@debian.org>,
  Manuel A. Fernandez Montecelo <mafm@debian.org>,
  Felix Geyer <fgeyer@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Build-Depends:
- debhelper (>= 9.20160114),
- dh-autoreconf,
+ debhelper (>= 10~),
+ fcitx-libs-dev,
  libasound2-dev [linux-any],
  libdbus-1-dev,
  libegl1-mesa-dev [!hurd-any],
@@ -17,11 +17,13 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
+ libmirclient-dev,
  libpulse-dev,
  libsndio-dev,
  libudev-dev [linux-any],
  libusb2-dev [kfreebsd-any],
  libusbhid-dev [kfreebsd-any],
+ libvulkan-dev [linux-any],
  libwayland-dev [linux-any],
  libx11-dev,
  libxcursor-dev,
@@ -34,21 +36,23 @@
  libxt-dev,
  libxv-dev,
  libxxf86vm-dev,
- pkg-config
+ pkg-config,
+ libsamplerate0-dev,
+ wayland-protocols
 Build-Depends-Indep:
  doxygen
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl2.git
-Homepage: http://www.libsdl.org/
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl2.git
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl2
+Homepage: https://www.libsdl.org/
 
 Package: libsdl2-2.0-0
 Architecture: any
+Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Multi-Arch: same
 Conflicts:
  libsdl-1.3-0
 Replaces:
@@ -61,8 +65,8 @@
  ALSA, sndio and PulseAudio sound drivers.
 
 Package: libsdl2-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends:
  libasound2-dev [linux-any],
  libdbus-1-dev,
@@ -71,6 +75,7 @@
  libgles2-mesa-dev [!hurd-any],
  libglu1-mesa-dev,
  libibus-1.0-dev,
+ libmirclient-dev,
  libpulse-dev,
  libsdl2-2.0-0 (= ${binary:Version}),
  libsndio-dev,
@@ -104,6 +109,7 @@
 Package: libsdl2-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  libjs-jquery

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
-SHLIBVER = 2.0.4
+SHLIBVER = 2.0.8
 
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
+confflags = --disable-rpath --enable-sdl-dlopen \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
             --enable-ibus \
+            --enable-video-mir \
             --disable-x11-shared --disable-video-directfb \
             --enable-video-opengles \
             --enable-video-wayland --disable-wayland-shared
@@ -35,9 +36,6 @@
   confflags += --disable-video-vulkan
   confflags += --disable-video-wayland
 endif
-
-# the SDL module for Vulkan not compiling even in Linux at the moment
-confflags += --disable-video-vulkan
 
 # disable OpenGLES on Hurd, it does not support it at the moment
 ifeq (hurd,$(findstring hurd,$(DEB_HOST_ARCH_CPU)))
@@ -78,7 +76,7 @@
 override_dh_link:
         # to address lintian warning
         # W: libsdl2-2.0-0: dev-pkg-without-shlib-symlink usr/lib/x86_64-linux-gnu/libSDL2-2.0.so.0.0.0 usr/lib/x86_64-linux-gnu/libSDL2-2.0.so
-	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0.6.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
+	dh_link -plibsdl2-dev usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so.0 usr/lib/$(DEB_HOST_MULTIARCH)/libSDL2-2.0.so
 	dh_link --remaining-packages
 
 override_dh_makeshlibs:
